# VSCode integration

`tasks.json` vscode task to run the parser on current file:

```
{
    "label": "QSP Parser",
    "type": "shell",
    "command": ".\\tools\\Parser\\qsp_parser.exe ${file}",
    "presentation": {
        "clear": true,
        "focus": false,
        "showReuseMessage": false,
        "panel": "shared",
        "reveal": "silent"
    }
}
```

and a `settings.json` part that runs said task when you save the file

```
"triggerTaskOnSave.tasks": {
    "QSP Parser": [
        "*.qsrc"
    ]
}
```

(requires Trigger Task on Save extension)
https://marketplace.visualstudio.com/items?itemName=Gruntfuggly.triggertaskonsave 

